package uam.tdaw.eventos.controladores;

import java.util.LinkedList;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

import uam.tdaw.eventos.clases.Continente;
import uam.tdaw.eventos.clases.Opcion;
import uam.tdaw.eventos.formas.DestinoFrm;
import uam.tdaw.eventos.negocio.AdministrarListas;

@Controller
public class ManejoMenuController {

	@RequestMapping("eventosRadioButton")
	public ModelAndView desplegarPaginaRadioButtons(){
		ModelAndView modelo = new ModelAndView ("eventosRadioButtons");
		
		AdministrarListas administrar = new AdministrarListas();
		LinkedList<Opcion>listaOpciones = administrar.listaOpciones();
		Opcion opcionPorDefecto = listaOpciones.getFirst();
		listaOpciones.removeFirst();
		
		Opcion opcion = new Opcion();
		
		modelo.addObject("listaDeOpciones", listaOpciones);
		modelo.addObject("opcionDefecto", opcionPorDefecto);
		modelo.addObject("opcionRadioButton", opcion);
		
		
		return modelo;
	}
	
	@RequestMapping("eventosListasSeleccion")
	public ModelAndView desplegarPaginaListas(){
		ModelAndView modelo = new ModelAndView("eventosListas");
		
		AdministrarListas administrar = new AdministrarListas();
		LinkedList<Continente>listaContinentes = administrar.listaContinenentes();
		Continente continente = new Continente();
		
		modelo.addObject("listaContinentes", listaContinentes);
		modelo.addObject("continente", continente);
		
		
		return modelo;
	}
	
	@RequestMapping("eventosListasDependientes")
	public ModelAndView desplegarPaginaListasDependientes(){
		ModelAndView modelo = new ModelAndView ("eventosListasDependientes");
		
		AdministrarListas administrar = new AdministrarListas();
		LinkedList<Continente>listaContinentes = administrar.listaContinenentes();
		DestinoFrm destinoFrm = new DestinoFrm();
		
		
		modelo.addObject("listaContinentes", listaContinentes);
		modelo.addObject("datosDestino", destinoFrm);
		
		return modelo;
	}
	
	@RequestMapping("menuPrincipal")
	public ModelAndView desplegarPaginaMenuPrincipal(){
		return new ModelAndView("bienvenido");
		
	}
	
}
